Toggle Agent
curl --request PATCH \
--url https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id/agents/:agent_id/toggle \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"is_active": true
}
'import requests
url = "https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id/agents/:agent_id/toggle"
payload = { "is_active": True }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({is_active: true})
};
fetch('https://johnajayi-avenue.hf.space/v1/wallets/:wallet_id/agents/:agent_id/toggle', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "a9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"developer_id": "d7b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"name": "Auto-Sweep on Full Payment",
"trigger": "BALANCE_ABOVE",
"threshold": 10000000,
"action": "SWEEP",
"destination_wallet_id": "f5c3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"sweep_amount": null,
"is_active": true,
"trigger_count": 0,
"last_triggered_at": null,
"created_at": "2026-07-01T13:00:00Z"
}
}
Agents
Toggle Agent
Enable or disable an agent without deleting it.
PATCH
/
v1
/
wallets
/
:wallet_id
/
agents
/
:agent_id
/
toggle
Toggle Agent
Request Headers
string
required
Your live or test API key.
Path Parameters
string
required
The Avenue wallet ID.
string
required
The agent ID.
Request Body
boolean
required
True to enable, false to disable.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"id": "a9b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"wallet_id": "e4b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"developer_id": "d7b3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"name": "Auto-Sweep on Full Payment",
"trigger": "BALANCE_ABOVE",
"threshold": 10000000,
"action": "SWEEP",
"destination_wallet_id": "f5c3e8e2-b1c4-48e0-a75d-35e982d6b2c2",
"sweep_amount": null,
"is_active": true,
"trigger_count": 0,
"last_triggered_at": null,
"created_at": "2026-07-01T13:00:00Z"
}
}
Was this page helpful?